package route

import (
	"kpt-pasture/http/handler/analysis"

	"github.com/gin-gonic/gin"
)

func AnalysisAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// pasture API 组  牧场管理
		pastureRoute := authRouteGroup(s, "/api/v1/analysis/")
		pastureRoute.POST("/growth/curve", analysis.GrowthCurve)
	}
}
